> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reorder Fields

> Reorder a project's custom fields. Send the full list of field IDs in the desired order.



## OpenAPI

````yaml /openapi.json put /projects/{project_id}/fields-order
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /projects/{project_id}/fields-order:
    put:
      tags:
        - Custom Fields
      summary: Reorder Fields
      description: >-
        Reorder a project's custom fields. Send the full list of field IDs in
        the desired order.
      operationId: reorderFields
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID
          schema:
            type: string
            example: ev:3000010034
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FieldOrderRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  type: number
        '401':
          description: Unauthorized
components:
  schemas:
    FieldOrderRequest:
      type: object
      properties:
        order:
          type: array
          description: Custom field ID
          items:
            type: number
      required:
        - order
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````